## empire-lafe 0.39

=== Makefile ===
# $Id: Makefile,v 0.15 1996/09/12 00:34:00 dld Exp $
#
# Makefile for lafe (Latency Free Empire)
#
#     This makefile has specific clauses for target machines.  If your machine
#  isn't listed, first try the "termcap" and "curses" machines.  If these
#  don't work, add a clause with the necessary compile and link flags for
#  your machine, and send me an email.  I hate #ifdefs in the code, and
#  struggle to eliminate them through compile/link flags.
#    GNU readline is in the readline/ directory, and uses a configure script.
#  It works (with the occaisional prod) on the machines I've used.  YMMV.
#  Good luck debugging/porting it if your machine isn't a supported target
#  of readline.
#
#     -Drake (harmless@empire.net)



SHELL = /bin/sh

SRC = lafe.c alias.c history.c parse.c var.c game.c
OBJ = $(SRC:.c=.o)

all:
	@echo "Chose one of the following architectures, or add a new entry to the Makefile:"
	@echo "    termcap curses"
	@echo "    irix irix6 aix solaris24 solaris25 osf1 linux"


#
# machine-specific targets
#

linux:  $(OBJ) 
	$(CC) $(LDFLAGS) -o lafe $(OBJ) -lreadline -lcurses 

# the Irix 6 target uses the -32 flag to be runnable on Irix5
irix6:
	CFLAGS='-g -I. -32 -mips1' LDFLAGS='-g -32 -mips1' make termcap

# should work on irix5 or irix6
irix:
	CFLAGS='-g -I.' LDFLAGS='-g' make termcap

# should work on AIX3 or AIX4, posixy
aix:
	CFLAGS='-g -I.' LDFLAGS='-g' make curses

# another posixy unix, note the vanilla flags.
osf1:
	CFLAGS='-g -I.' LDFLAGS='-g' make curses

# not so posixy, weird libraries
solaris24:
	CFLAGS='-g -I. -DHAVE_CONFIG_H' LDFLAGS='-g -lsocket -lnsl' make termcap

solaris25:
	CFLAGS='-g -I.' LDFLAGS='-g -lsocket -lnsl' make termcap

#
# Internal lafe targets, CFLAGS and LDFLAGS won't get set if you call these

termcap: configure $(OBJ) 
	cd readline ; make
	$(CC) $(LDFLAGS) -o lafe $(OBJ) -Lreadline -lreadline -ltermcap

curses: configure $(OBJ) 
	cd readline ; make
	$(CC) $(LDFLAGS) -o lafe $(OBJ) -Lreadline -lreadline -lcurses 


configure: readline/config.status

readline/config.status:
	cd readline ; CFLAGS='$(CFLAGS)' ./configure

clean:
	-rm -f readline/core lafe *.o lafe.tar.gz example.tar.gz

distclean: clean
	-cd readline ; make distclean

dist: distclean
	cd .. ; tar cf - lafe/Makefile lafe/lafe.c lafe/lafe.h lafe/alias.c lafe/parse.c lafe/history.c lafe/var.c lafe/game.c lafe/README lafe/ChangeLog lafe/TODO lafe/example lafe/readline | gzip -9 >lafe/lafe.tar.gz
	cd .. ; tar cf - lafe/README lafe/example | gzip -9 > lafe/example.tar.gz

=== readline/Makefile ===
# Generated automatically from Makefile.in by configure.
# Master Makefile for the GNU readline library.
# Copyright (C) 1994 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

srcdir = .

prefix = /usr/local
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
libdir = $(exec_prefix)/lib
mandir = $(prefix)/man/man1

SHELL = /bin/sh

INSTALL = 
INSTALL_PROGRAM = 
INSTALL_DATA = 

RANLIB = ranlib
AR = ar
RM = rm
CP = cp
MV = mv

DEFS = -DHAVE_CONFIG_H
CFLAGS = -g -I. -Dtparm=tgoto -DFNONBLOCK=O_NONBLOCK -DLINUX
LDFLAGS = -g

# For libraries which include headers from other libraries.
INCLUDES = -I. -I$(srcdir)

CPPFLAGS = $(DEFS) $(INCLUDES)

PICFLAG=        -pic    # -fpic for some versions of gcc
SHLIB_OPTS=	-assert pure-text -ldl	# -Bshareable for some versions of gcc
MAJOR=		2
MINOR=		.0

.SUFFIXES:	.so
.c.o:
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $<

.c.so:
	-mv $*.o z$*.o
	$(CC) -c $(PICFLAG) $(CPPFLAGS) $(CFLAGS) $< 
	mv $*.o $@
	-mv z$*.o $*.o

# The name of the main library target.
LIBRARY_NAME = libreadline.a
SHARED_READLINE = libreadline.so.$(MAJOR)$(MINOR)
SHARED_HISTORY = libhistory.so.$(MAJOR)$(MINOR)
SHARED_LIBS = $(SHARED_READLINE) $(SHARED_HISTORY)

# The C code source files for this library.
CSOURCES = $(srcdir)readline.c $(srcdir)funmap.c $(srcdir)keymaps.c \
	   $(srcdir)vi_mode.c $(srcdir)parens.c $(srcdir)rltty.c \
	   $(srcdir)complete.c $(srcdir)bind.c $(srcdir)isearch.c \
	   $(srcdir)display.c $(srcdir)signals.c $(srcdir)emacs_keymap.c \
	   $(srcdir)vi_keymap.c $(srcdir)history.c $(srcdir)tilde.c \
	   $(srcdir)xmalloc.c

# The header files for this library.
HSOURCES = readline.h rldefs.h chardefs.h keymaps.h history.h \
	   posixstat.h tilde.h rlconf.h

INSTALLED_HEADERS = readline.h chardefs.h keymaps.h history.h

OBJECTS = readline.o vi_mode.o funmap.o keymaps.o parens.o search.o \
	  rltty.o complete.o bind.o isearch.o display.o signals.o \
	  history.o tilde.o xmalloc.o

SHARED_OBJ = readline.so vi_mode.so funmap.so keymaps.so parens.so search.so \
	  rltty.so complete.so bind.so isearch.so display.so signals.so \
	  history.so tilde.so xmalloc.so

# The texinfo files which document this library.
DOCSOURCE = doc/rlman.texinfo doc/rltech.texinfo doc/rluser.texinfo
DOCOBJECT = doc/readline.dvi
DOCSUPPORT = doc/Makefile
DOCUMENTATION = $(DOCSOURCE) $(DOCOBJECT) $(DOCSUPPORT)

SUPPORT = Makefile ChangeLog $(DOCSUPPORT) examples/[-a-z.]*

SOURCES  = $(CSOURCES) $(HSOURCES) $(DOCSOURCE)

THINGS_TO_TAR = $(SOURCES) $(SUPPORT)

##########################################################################

all: libreadline.a libhistory.a
shared: $(SHARED_LIBS)

libreadline.a: $(OBJECTS)
	$(RM) -f $@
	$(AR) cq $@ $(OBJECTS)
	-$(RANLIB) $@

libhistory.a: history.o
	$(RM) -f $@
	$(AR) cq $@ history.o
	-$(RANLIB) $@

$(SHARED_READLINE):	$(SHARED_OBJ)
	$(RM) -f $@
	ld ${SHLIB_OPTS} -o $@ $(SHARED_OBJ)

$(SHARED_HISTORY):	history.so
	$(RM) -f $@
	ld ${SHLIB_OPTS} -o $@ history.so

documentation: force
	[ ! -d doc ] && mkdir doc
	(if [ -d doc ]; then cd doc; $(MAKE) $(MFLAGS); fi)

force:

install: installdirs libreadline.a
	$(INSTALL_DATA) $(INSTALLED_HEADERS) $(incdir)/readline
	-$(MV) $(libdir)/libreadline.a $(libdir)/libreadline.old
	$(INSTALL_DATA) libreadline.a $(libdir)/libreadline.a
	-$(RANLIB) -t $(libdir)/libreadline.a

installdirs:
	[ ! -d $(incdir)/readline ] && { \
	  mkdir $(incdir)/readline && chmod 755 $(incdir)/readline; }
	[ ! -d $(libdir) ] && mkdir $(libdir)

uninstall:
	[ -n "$(incdir)" ] && cd $(incdir)/readline && \
		${RM} -f ${INSTALLED_HEADERS}
	[ -n "$(libdir)" ] && cd $(libdir) && \
		${RM} -f libreadline.a libreadline.old $(SHARED_LIBS)

clean::
	rm -f $(OBJECTS) *.a $(SHARED_OBJ) $(SHARED_LIBS)
	(if [ -d doc ]; then cd doc; $(MAKE) $(MFLAGS) $@; fi)

readline: readline.h rldefs.h chardefs.h
readline: $(OBJECTS)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(READLINE_DEFINES) \
	  $(LOCAL_INCLUDES) -DTEST -o readline readline.c vi_mode.o funmap.o \
	  keymaps.o -ltermcap

info:
install-info:
dvi:
check:
installcheck:

tags:	force
	etags $(CSOURCES) $(HSOURCES)

TAGS:	force
	ctags -x $(CSOURCES) $(HSOURCES) > $@

Makefile: config.status $(srcdir)/Makefile.in
	$(SHELL) config.status

config.status: configure
	$(SHELL) config.status --recheck

configure: configure.in            ## Comment-me-out in distribution
	cd $(srcdir); autoconf     ## Comment-me-out in distribution
config.h.in: configure.in          ## Comment-me-out in distribution
	cd $(srcdir); autoheader   ## Comment-me-out in distribution

mostlyclean: clean

distclean realclean: clean
	rm -f Makefile config.status config.h stamp-config

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

# Dependencies
readline.o: readline.c readline.h rldefs.h rlconf.h chardefs.h
readline.o: keymaps.h history.h
vi_mode.o:  rldefs.h rlconf.h readline.h history.h
funmap.o:   funmap.c readline.h rlconf.h
keymaps.o:  keymaps.c emacs_keymap.c vi_keymap.c keymaps.h chardefs.h rlconf.h
history.o: history.h memalloc.h
isearch.o: memalloc.h readline.h history.h
search.o: memalloc.h readline.h history.h
display.o: readline.h history.h rldefs.h rlconf.h
complete.o: readline.h rldefs.h rlconf.h
rltty.o: rldefs.h rlconf.h readline.h
bind.o: rldefs.h rlconf.h readline.h history.h
signals.o: rldefs.h rlconf.h readline.h history.h
parens.o: readline.h

=== debian/changelog ===
empire-lafe (0.39) frozen unstable; urgency=low

  * fixed Bug#31975 : Glibc 2.1 stdout initializer
  * Relink with ncurses4.2

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Sun, 17 Jan 1999 02:13:05 +1100

empire-lafe (0.38) unstable; urgency=low

  * Cleaned up a bunch of -Wall warnings
  * Store lafe variables in environment
  * Added manpage, changed default empire server

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Wed,  7 Oct 1998 08:36:31 +1000

empire-lafe (0.37) unstable; urgency=low

  * Initial Release.

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Wed,  7 Oct 1998 02:18:40 +1000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: empire-lafe
Section: games
Priority: optional
Maintainer: Drake Diedrich <Drake.Diedrich@anu.edu.au>
Standards-Version: 2.4.0.0

Package: empire-lafe
Architecture: any
Depends: ${shlibs:Depends}
Description: Fast line-mode Empire client
 Lafe is an empire client optimized for high latency links.  You can type,
 edit, and send several commands before the server replies with
 output from the first command.  This allows you to make better use
 of the existing bandwidth than most other clients.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	make CFLAGS="-O2 -g -Wall -DLAFERC=\\\"/etc/laferc\\\" -DLAFEREVISION=\\\"$(version)\\\"" linux

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	# $(MAKE) install DESTDIR=`pwd`/debian/tmp
	cp lafe `pwd`/debian/tmp/usr/games
	cp laferc `pwd`/debian/tmp/etc

	dh_installdocs
	dh_installexamples example/*
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
#	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## empire-lafe 0.41

=== debian/changelog ===
empire-lafe (0.41) unstable; urgency=low

  * Recompiled for policy 3.2.1.0 compliance
  * Added Build-Depends: matching
    http://buildd.debian.org/andrea/i386/source-dependencies.andrea-unstable
  * Added debhelper Build-Depends: (Closes: #70312)
  * Changed debian/copyright to point to new GPL filesystem location
  * Typo in previous changelog (the readline libs).  (Closes: #66603)

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Wed, 17 Jan 2001 11:35:28 +1100

empire-lafe (0.40) unstable; urgency=low

  * Recompiled with new readline libs (closes: #
  * Removed internal readline sources, let the users fetch them if
    necessary
  * Added copyright messages and COPYING file
  * Doh - remove frozen from changelog, reupload.

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Tue, 18 Jul 2000 11:41:08 +1000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Drake Diedrich <Drake.Diedrich@anu.edu.au>
-Standards-Version: 2.4.0.0
+Standards-Version: 3.2.1.0
+Build-Depends: libreadline4-dev (>= 4.1), libncurses5-dev, debhelper
 
 Package: empire-lafe
 Architecture: any

## empire-lafe 1.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 0.15 1996/09/12 00:34:00 dld Exp $
+# $Id: Makefile,v 1.2 2003/09/05 07:34:35 dld Exp $
 #
 # Makefile for lafe (Latency Free Empire)
 #
@@ -32,7 +32,7 @@
 #
 
 linux:  $(OBJ) 
-	$(CC) $(LDFLAGS) -o lafe $(OBJ) -lreadline -lcurses 
+	$(CC) $(LDFLAGS) -o lafe $(OBJ) -lreadline
 
 # the Irix 6 target uses the -32 flag to be runnable on Irix5
 irix6:
@@ -74,11 +74,14 @@
 readline/config.status:
 	cd readline ; CFLAGS='$(CFLAGS)' ./configure
 
+ChangeLog:
+	cvs2cl
+
 clean:
-	-rm -f readline/core lafe *.o lafe.tar.gz example.tar.gz
+	-rm -f lafe *.o lafe.tar.gz example.tar.gz
 
 distclean: clean
-	-cd readline ; make distclean
+	rm -f ChangeLog
 
 dist: distclean
 	cd .. ; tar cf - lafe/Makefile lafe/lafe.c lafe/lafe.h lafe/alias.c lafe/parse.c lafe/history.c lafe/var.c lafe/game.c lafe/README lafe/ChangeLog lafe/TODO lafe/example lafe/readline | gzip -9 >lafe/lafe.tar.gz

## empire-lafe 1.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.2 2003/09/05 07:34:35 dld Exp $
+# $Id: Makefile,v 1.3 2009/11/06 17:38:41 hmless Exp $
 #
 # Makefile for lafe (Latency Free Empire)
 #
@@ -12,7 +12,7 @@
 #  Good luck debugging/porting it if your machine isn't a supported target
 #  of readline.
 #
-#     -Drake (harmless@empire.net)
+#     -Drake (dld@debian.org)
 
 
 
@@ -32,7 +32,7 @@
 #
 
 linux:  $(OBJ) 
-	$(CC) $(LDFLAGS) -o lafe $(OBJ) -lreadline
+	$(CC) $(LDFLAGS) -o lafe $(OBJ) -lreadline -lcurses
 
 # the Irix 6 target uses the -32 flag to be runnable on Irix5
 irix6:
@@ -83,7 +83,6 @@
 distclean: clean
 	rm -f ChangeLog
 
-dist: distclean
-	cd .. ; tar cf - lafe/Makefile lafe/lafe.c lafe/lafe.h lafe/alias.c lafe/parse.c lafe/history.c lafe/var.c lafe/game.c lafe/README lafe/ChangeLog lafe/TODO lafe/example lafe/readline | gzip -9 >lafe/lafe.tar.gz
-	cd .. ; tar cf - lafe/README lafe/example | gzip -9 > lafe/example.tar.gz
+dist: distclean ChangeLog
+	cd .. ; tar cf - --exclude CVS lafe/Makefile lafe/lafe.c lafe/lafe.h lafe/alias.c lafe/parse.c lafe/history.c lafe/var.c lafe/game.c lafe/README lafe/ChangeLog lafe/TODO lafe/example lafe/lafe.6 | gzip -9 >lafe/lafe.tar.gz

=== debian/changelog ===
empire-lafe (1.1-1.2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:45:59 +1100

empire-lafe (1.1-1.2build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:53:24 +0100

empire-lafe (1.1-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1043153)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make (Closes: #939612)

 -- Bastian Germann <bage@debian.org>  Mon, 02 Oct 2023 21:59:55 +0200

empire-lafe (1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999280).

 -- Marcos Talau <talau@debian.org>  Wed, 02 Nov 2022 18:09:17 -0300

empire-lafe (1.1-1) unstable; urgency=low

  * New upstream (Closes: #554326)
  * Build-Depend on libreadline-dev (Closes: #553751)
  * Switch default to current wolfpackempire blitz visitor account
  * lintian: Update packaging standards
  * lintian: remove CVS dirs
  * lintian: notice make clean errors
  * lintian: switch to dh_installman
  * lintian: switch from dh_clean to dh_prep
  * lintian: manpage cleanup

 -- Drake Diedrich <dld@debian.org>  Fri, 06 Nov 2009 08:13:53 -0800

empire-lafe (1.0-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Build-dep on libreadline5 (Closes: #326372).

 -- Luk Claes <luk@debian.org>  Tue, 27 Dec 2005 19:31:58 +0100

empire-lafe (1.0) unstable; urgency=low

  * Rewrite all the deep readline interaction
  * The "Have you stopped violating readline?" release

 -- Drake Diedrich <dld@debian.org>  Sun,  7 Sep 2003 13:59:53 -0700

empire-lafe (0.42) unstable; urgency=low

  * Rebuild with new gcc

 -- Drake Diedrich <dld@coyote.com.au>  Fri, 11 Jul 2003 10:20:02 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: empire-lafe
 Section: games
 Priority: optional
-Maintainer: Drake Diedrich <Drake.Diedrich@anu.edu.au>
-Standards-Version: 3.2.1.0
-Build-Depends: libreadline4-dev (>= 4.1), libncurses5-dev, debhelper
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Drake Diedrich <dld@debian.org>
+Standards-Version: 3.8.3
+Build-Depends: libreadline-dev, libncurses5-dev, debhelper (>= 7)
 
 Package: empire-lafe
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKG=empire-lafe
version=$(shell expr `pwd` : '.*-\([0-9.]*\)')

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	dh_auto_build -- CFLAGS="-O2 -g -Wall -DLAFERC=\\\"/etc/laferc\\\" -DLAFEREVISION=\\\"$(version)\\\"" linux

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the files into debian/$(PKG)
	# $(MAKE) install DESTDIR=`pwd`/debian/$(PKG)
	cp lafe `pwd`/debian/$(PKG)/usr/games
	cp debian/laferc `pwd`/debian/$(PKG)/etc

	dh_installdocs
	dh_installexamples example/*
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installman
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
#	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch

build-arch: build
build-indep: build

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary
